# -*- rpm-spec -*-
%define version 0.7.1_pre2
%define release 1
%define name    mpio
%define	prefix		/usr
%define sysconfdir	%prefix/etc

Version: %version
Summary: MPIO - providing access to MPIO mp3 players
Name: %name
Release: %release
Copyright: see COPYING
Group: Applications/MultiMedia
Source: http://download.sourceforge.net/mpio/mpio-0.7.1_pre2.tar.gz
Prefix: %prefix
Buildroot: /var/tmp/mpio-0.7.1_pre2-buildroot/
Packager: Andreas Bsching <crunchy@tzi.de>
Requires: libusb >= 0.1.7, readline >= 4.3, ncurses >= 5.0
BuildRequires:	readline-devel >= 4.3
BuildRequires:	ncurses-devel >= 5.0

%description 
This is a project for using Digitalway/Adtec digital audio player MPIO
(DMG, DMK, DME, DMB, FD 100, FL100, FY100, FY200) under Linux. It uses
libusb and provides a userspace library and at the moment one tool to
access the MPIO player.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix -sysconfdir=%sysconfdir

%build
make

%install
rm -rf $RPM_BUILD_ROOT
KVERSION=`uname -r`

echo "%defattr(755,root,root)" > /tmp/mpio-files.lst
echo "%prefix/bin/mpiosh" >> /tmp/mpio-files.lst
echo "%prefix/bin/mpiologo" >> /tmp/mpio-files.lst
echo "%prefix/lib/libmpio*" >> /tmp/mpio-files.lst
echo "%defattr(700,root,root)" >> /tmp/mpio-files.lst
echo "%defattr(644,root,root)" >> /tmp/mpio-files.lst
echo "%sysconfdir/mpio/mpioshrc" >> /tmp/mpio-files.lst
echo "%prefix/include/mpio/mpio.h" >> /tmp/mpio-files.lst
echo "%prefix/include/mpio/defs.h" >> /tmp/mpio-files.lst
echo "/etc/hotplug/usb/libmpio.usermap" >> /tmp/mpio-files.lst
echo "%defattr(755,root,root)" >> /tmp/mpio-files.lst
echo "/etc/hotplug/usb/libmpio" >> /tmp/mpio-files.lst

make DESTDIR=$RPM_BUILD_ROOT install

%post
ldconfig

%files -f /tmp/mpio-files.lst

%doc COPYING ChangeLog INSTALL NEWS
%doc README TODO

%clean
rm -rf $RPM_BUILD_ROOT
rm -f /tmp/mpio-files.lst

